snd_malloc_pages
Prev | Chapter 22. Sound Devices | Next

## Name

snd_malloc_pages — allocate pages with the given size

## Synopsis

`void * snd_malloc_pages (` | size_t | size,
| gfp_t | gfp_flags`)`;

## Arguments

`size`

  the size to allocate in bytes

`gfp_flags`

  the allocation conditions, GFP_XXX

## Description

Allocates the physically contiguous pages with the given size.

Returns the pointer of the buffer, or NULL if no enoguh memory.

Prev | Up | Next
snd_pcm_suspend_all | Home | snd_free_pages